Package org.gradle.api.execution

# Interface TaskExecutionGraphListener

public interface TaskExecutionGraphListener

A `TaskExecutionGraphListener` is notified when the `TaskExecutionGraph` has been populated. You can use this interface in your build file to perform some action based on the contents of the graph, before any tasks are actually executed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `graphPopulated(TaskExecutionGraph graph)`
  This method is called when the `TaskExecutionGraph` has been populated, and before any tasks are executed.

- ## Method Details

  - ### graphPopulated

    void graphPopulated(TaskExecutionGraph graph)

    This method is called when the `TaskExecutionGraph` has been populated, and before any tasks are executed.

    Parameters:
      `graph` - The graph. Never null.